# GimpUi.UnitStore

    const GimpUi = imports.gi.GimpUi;

    let unitStore = new GimpUi.UnitStore({
        num_values: value,
    });

A model for Gimp.Unit views

## Hierarchy

- GObject.Object
  - GimpUi.UnitStore

## Constructors

- GimpUi.UnitStore.new

## Methods

- GimpUi.UnitStore.prototype.get_has_percent
- GimpUi.UnitStore.prototype.get_has_pixels
- GimpUi.UnitStore.prototype.get_nth_value
- GimpUi.UnitStore.prototype.set_has_percent
- GimpUi.UnitStore.prototype.set_has_pixels
- GimpUi.UnitStore.prototype.set_pixel_value
- GimpUi.UnitStore.prototype.set_resolution

## Properties

- has-percent
- has-pixels
- long-format
- num-values
- short-format